class BMC::SMS::Message
  attr_reader :data

  def initialize(data)
    @data = data
  end

  def deliver_now
    BMC::SMS::DeliverJob.perform_now(data)
  end

  def deliver_later
    BMC::SMS::DeliverJob.perform_later(data)
  end
end
